# clarifai-pyspark

## INTRODUCTION

This readme provides overview of the Software Development Kit (SDK) under development for integrating Clarifai with Databricks. The primary use case for this SDK is to facilitate the interaction between Databricks and Clarifai for tasks related to uploading client datasets, annotating data, and exporting and storing annotations in Spark DataFrames or Delta tables.

The initial use case for this SDK revolves around three main objectives:

### Uploading Client Datasets into Clarifai App:
  The SDK should enable the seamless upload of datasets into the Clarifai application, simplifying the process of data transfer from Databricks to Clarifai.

### Annotate the Data:
  It should provide features for data annotation, making it easier for users to add labels and metadata to their datasets within the Clarifai platform.

### Export Annotations to Spark DataFrames/Delta Tables:
  The SDK should offer functionality to export annotations and store them in Spark DataFrames or Delta tables, facilitating further data analysis within Databricks.
